%if 0%{suse_version} > 1120
%define xulrunner_ver 192
%else
%if 0%{suse_version} > 1110
%define xulrunner_ver 191
%else
%if 0%{suse_version} >= 1100
%define xulrunner_ver 190
%else
%define xulrunner_ver 181
%endif
%endif
%endif

%define pulseplugin 0%{suse_version} > 1100
%define with_mozilla %{xulrunner_ver} >= 192
%define withxcb 0%{suse_version} > 1111
%define libvlc 5
%define libvlccore 4
%define conflicts vlc-beta

Summary:        VLC - Video Lan Client
Name:           vlc
Version:        1.1.2
%define         _version 1.1.2
Release:        2.7
Source:         vlc-%{_version}.tar.bz2
Patch1:         fix_font_path.patch
# PATCH-FIX-UPSTREAM 0001-no-return-in-non-void.patch dimstar@opensuse.org -- Fix no-return-in-nonvoid-functions
Patch2:         0001-no-return-in-non-void.patch
License:        GPL v2
Group:          Productivity/Multimedia/Video/Players	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  aalib-devel
BuildRequires:  alsa-devel
BuildRequires:  avahi-devel
BuildRequires:  csri-devel
BuildRequires:  faad2-devel
BuildRequires:  fdupes
BuildRequires:  flac-devel
BuildRequires:  fluidsynth-devel
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnutls-devel
BuildRequires:  liba52-devel
BuildRequires:  libasa-devel
BuildRequires:  libass-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libcaca-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libdc1394_control12-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdca-devel
BuildRequires:  libdvbpsi-devel 
BuildRequires:  libdvdnav-devel 
BuildRequires:  libdvdread-devel 
BuildRequires:  libfaac-devel 
BuildRequires:  libffmpeg-devel 
BuildRequires:  libjack-devel
BuildRequires:  libkate-devel
BuildRequires:  libmad-devel 
BuildRequires:  libmatroska-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmpeg2-devel 
BuildRequires:  libmtp-devel
BuildRequires:  libnotify-devel 
BuildRequires:  libogg-devel 
%if 0%{suse_version} >= 1120
BuildRequires:  libproxy-devel 
%endif
BuildRequires:  libqt4-devel
BuildRequires:  libraw1394-devel
BuildRequires:  librsvg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel 
%if 0%{suse_version} > 1100
BuildRequires:  libudev-devel
%endif
BuildRequires:  libupnp-devel
%if 0%{suse_version} > 1100
BuildRequires:  libv4l-devel
%endif
%if 0%{?suse_version} >= 1120
BuildRequires:  libva-devel
%endif
BuildRequires:  libvorbis-devel 
BuildRequires:  libx264-devel 
BuildRequires:  libxml2-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  lirc-devel
BuildRequires:  live555
BuildRequires:  lua-devel 
BuildRequires:  Mesa-devel
BuildRequires:  ncurses-devel
BuildRequires:  pcre-devel
BuildRequires:  portaudio-devel
BuildRequires:  pulseaudio-devel
%if 0%{suse_version} > 1030
BuildRequires:  schroedinger-devel 
%endif
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  taglib-devel 
BuildRequires:  vcdimager-devel 
BuildRequires:  xosd-devel 
BuildRequires:  zvbi-devel

%if %{with_mozilla}
BuildRequires:  mozilla-xulrunner%{xulrunner_ver}-devel
%endif

# disable avahi for the moment, in order to be able to create noX packages
### BuildRequires: avahi-devel

# BuildRequires that are not actively used for VLC, but for the build itself to work smoothly
BuildRequires:  findutils 
BuildRequires:  kde4-filesystem
BuildRequires:  update-desktop-files

Requires: %{name}-noX = %{version}-%{release}
Requires: %{name}-qt = %{version}-%{release}
Conflicts: %{conflicts}

%description
VLC media player is a highly portable multimedia player for various 
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) 
as well as DVDs, VCDs, and various streaming protocols. 
It can also be used as a server to stream in unicast or multicast 
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary: VLC Development system
Group: Development/Libraries/C and C++
Requires: %{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary: Shared library libvlc
Group: System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary: Shared library libvlc
Group: System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary: VLC: VideoLAN Client - without X dependencies
Group: Productivity/Multimedia/Video/Players
Requires: libvlccore%{libvlccore} = %{version}-%{release}
Requires: libvlc%{libvlc} = %{version}-%{release}
Conflicts: %{conflicts}-noX
Recommends: libdvdcss

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%package qt
Summary: VLC: VideoLAN Client - Qt interface
Group: Productivity/Multimedia/Video/Players
Supplements: packageand(%{name}-noX:libqt4)
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-qt

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary: VLC: VideoLAN Client - Gnome Access Modules
Group: Productivity/Multimedia/Video/Players
Supplements: packageand(%{name}-noX:gnome-vfs2)
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-gnome

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.

%if %{with_mozilla}
%package mozillaplugin
Summary: The mozilaplugin enables VLC inside Mozilla Browser
Group: Productivity/Multimedia/Video/Players
Requires: %{name}-noX = %{version}-%{release}
Conflicts: %{conflicts}-mozillaplugin

%description mozillaplugin
With this plugin, you enable video content withing the Mozilla Browser Suites
%endif

%if 0%{pulseplugin}
%package aout-pulse
Summary: VLC Audio Out for Pulse Audio
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Supplements: packageand(%{name}-noX:pulseaudio)
Requires: %{name}-noX = %{version}-%{release}
conflicts: %{conflicts}-aout-pulse

%description aout-pulse
Extends VLC with Pulse Audio Support for Audio Out
%endif

%prep
%setup -q -n vlc-%{_version}
%patch1 -p1
%patch2 -p1

%build 
%configure \
   --disable-dependency-tracking        \
   --enable-a52                         \
   --enable-aa                          \
   --enable-alsa                        \
   --enable-asademux                    \
   --enable-dca                         \
   --enable-dvb                         \
   --enable-dvbpsi                      \
   --enable-dvdnav                      \
   --enable-dvdread                     \
   --enable-faad                        \
   --enable-fast-install                \
   --enable-fb                          \
   --enable-flac                        \
   --enable-freetype                    \
   --enable-fribidi                     \
   --enable-glx                         \
   --enable-gnomevfs                    \
   --enable-gnutls                      \
   --enable-httpd                       \
   --enable-jack                        \
   --enable-kate                        \
   --enable-libass                      \
   --enable-libcddb                     \
   --enable-libmpeg2                    \
%if 0%{suse_version} >= 1120
   --enable-libproxy                    \
%endif
   --enable-lirc                        \
   --enable-live555                     \
   --enable-lua                         \
   --enable-mad                         \
   --enable-mkv                         \
   --enable-mod                         \
%if %{with_mozilla}
   --enable-mozilla                     \
%else
   --disable-mozilla                    \
%endif
   --enable-ncurses                     \
%if 0%{suse_version} < 1100
   --disable-nls                        \
%endif
   --enable-ogg                         \
   --enable-optimizations               \
   --enable-oss                         \
%if 0%{pulseplugin}
   --enable-pulse                       \
%endif
   --enable-pvr                         \
   --enable-real                        \
   --enable-realrtsp                    \
   --enable-smb                         \
   --enable-sout                        \
   --enable-speex                       \
   --enable-taglib                      \
   --enable-theora                      \
   --enable-v4l                         \
   --enable-v4l2                        \
   --enable-vcd                         \
   --enable-vcdx                        \
   --enable-visual                      \
   --enable-vorbis                      \
   --enable-waveout                     \
   --enable-xvideo                      \
   --with-live555-tree=%{_libdir}/live  \

%{__make} %{?jobs:-j %jobs}

%install
%makeinstall
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
%if %{with_mozilla}
mkdir -p %{buildroot}/%{_libdir}/browser-plugins
mv %{buildroot}%{_libdir}/mozilla/plugins/libvlc* %{buildroot}/%{_libdir}/browser-plugins
%endif
find %{buildroot} -name *.la -delete
# make sure the dat file exists, so we can properly ghost it
touch %{buildroot}%{_libdir}/vlc/plugins/plugins-04081e-7e8.dat
%suse_update_desktop_file vlc AudioPlayer VideoPlayer Player
%fdupes %{buildroot}%{_datadir}/vlc
%find_lang vlc

%clean
rm -rf "$RPM_BUILD_ROOT"

# no postun script for vlc-noX: it's the one that brings the cache generator
%post -n vlc-noX 
%{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins/

%post
%{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins/

%postun
%{_libdir}/vlc/vlc-cache-gen %{_libdir}/vlc/plugins/

%post -n libvlc%{libvlc} -p /sbin/ldconfig
%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig
%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%{_bindir}/svlc
%{_datadir}/applications/vlc.desktop
%{_datadir}/pixmaps/vlc.png
%{_datadir}/icons/hicolor/*/apps/vlc*
%{_datadir}/kde4/apps/solid
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins//misc/libnotify_plugin.so
%{_libdir}/vlc/plugins//video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%if 0%{withxcb}
%{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so

%files noX -f vlc.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING HACKING THANKS README 
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/
%dir %{_datadir}/locale/co
%dir %{_datadir}/locale/co/LC_MESSAGES
%dir %{_datadir}/locale/tet
%dir %{_datadir}/locale/tet/LC_MESSAGES
%{_mandir}/*/vlc*
%{_libdir}/vlc
# exclude the pulse audio output module from here. Seperate package
%if 0%{pulseplugin}
%exclude %{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif
#exclude the Qt modules from here. Seperate package
%exclude %{_libdir}/vlc/plugins/gui/libqt4_plugin.so
# Exclude the shared libraries
%exclude %{_libdir}/libvlc.so.*
%exclude %{_libdir}/libvlccore.so.*
# Exclude all Files that should go to the X-Dependent package
%exclude %{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%exclude %{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%exclude %{_libdir}/vlc/plugins/misc/libnotify_plugin.so
%exclude %{_libdir}/vlc/plugins/video_filter/libremoteosd_plugin.so
%exclude %{_libdir}/vlc/plugins/misc/libfreetype_plugin.so
%if 0%{withxcb} 
%exclude %{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%endif
%exclude %{_libdir}/vlc/plugins/video_output/libaa_plugin.so
%exclude %{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%exclude %{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so
# this file is generated by vlc-cachepgen, so we want to be able to clean up on uninstall.
%ghost %{_libdir}/vlc/plugins/plugins-04081e-7e8.dat

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc
#%{_bindir}/vlc-config

%if 0%{pulseplugin}
%files aout-pulse
%defattr(-,root,root)
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif

%if %{with_mozilla}
%files mozillaplugin
%defattr(-,root,root)
%{_libdir}/browser-plugins/libvlcplugin.so
%endif

%changelog
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libmatroska-devel instead of libmatroska.
* Fri Jul 30 2010 dominique-vlc.suse@leuenberger.net
- Update to version 1.1.2:
  + Demuxers:
  - Avformat fps displaying fix
  - TS, fix an issue where some programs would get dropped
    (fixes DVB issues too)
  + Audio filters:
  * fix timestamps handling on some filters that provoqued issues
    when playback of mono streams, especially on Windows
  + Windows:
  - fix a bug in direct3d video output with old nVidia drivers
    that broke video playback with overlay (YUV->RGB)
  - fix console output encoding
  + Interface and extensions:
  - Youtube and other scripts updates
  - Misc fixes in Qt4 (especially VLM and EPG dialogs) and MacOS
    interface.
* Tue Jul 20 2010 dominique-vlc.suse@leuenberger.net
- Update to version 1.1.1:
  + libVLC:
  * Support for the new capabilities: libvlc_adjust_Enable,
    libvlc_adjust_Contrast, libvlc_adjust_Brightness,
    libvlc_adjust_Hue, libvlc_adjust_Saturation,
    libvlc_adjust_Gamma
  * Various fixes and crash preventions, especially when video
    functions were called early
  * libvlc_media_player_set_pause() can force the pause state,
    whereas libvlc_media_player_pause() would only toggle it.
  * libvlc_set_user_agent() configures the "user agent" strings
    used for some protocols (HTTP, PulseAudio...).
    This replaces the --http-user-agent and the former
  - -user-agent libvlc_new() parameters.
  * libvlc_video_set_callbacks() and libvlc_video_set_format()
    allow grabbing video frames from a chosen memory location in
    real-time.
    This replace the ugly --vmem-* libvlc_new() parameters in
    previous versions.
    See http://wiki.videolan.org/LibVLC_SampleCode_SDL as an
    example.
  * libvlc_audio_get_delay() and libvlc_audio_set_delay()
    configure the delay between audio and video/subpictures for
    the current input.
  + Stream output:
  * Fix h264 streaming in ts
  + Decoders/Demuxers:
  * Fix performance issues with GPU decoding using DxVA2 using
    ATI graphic cards You NEED ATI Catalyst 10.7
  * Fix :program selection in TS and DVB-T
  * Fixes and improvements for MKV, Avformat and Avcodec modules
  * Fix mod (.xm, .s3m, .it) files support on Windows and Mac
    builds
  + Linux port:
  * Fix pulse closing
  * VAAPI small improvements, notable for FourCC selection for
    extraction
  + Interfaces:
  * Qt: fix preferences, hotkeys, messages and some fulscreen
    behaviour
  * Skins: support for mousewheel in fullscreen, fix
    radialsliders
  * Http: fix fullscreen toggle
  + Updated translations.
* Sat Jul  3 2010 dominique-vlc.suse@leuenberger.net
- Add lirc-devel to BuildRequires to actually build the lirc
  interface. Thanks to Rob Verduijn for reporting this error.
* Mon Jun 21 2010 dominique-vlc.suse@leuenberger.net
- Update to 1.1.0:
  + This is a major release, adding major features, notably:
  - GPU and DSP decoding on selected platforms
  - New support for codecs, demuxers and muxers
  - Lua extensions and Lua content extensions (luaSD)
  - Improved interfaces
  - Video Output rework
  - Removal of lots of modules, rewrite of many
  - Improved performances, in CPU, RAM and I/O
  - New libVLC and bindings
  - New or improved ports on misc platforms
  + And so many bugs and other features...
* Wed Jun 16 2010 dominique-vlc.suse@leuenberger.net
- Update to rc4
* Fri Jun 11 2010 dominique-vlc.suse@leuenberger.net
- Update to rc2
- BuildRequires SDL_image-devel
- Remove obsoleted switches from configure call.
* Thu Jun 10 2010 dominique-vlc.suse@leuenberger.net
- Add git-rollup.patch.bz2 to rollup to current git. Supposed
  to fix various crashers we see lately in 1.1rc2.
* Tue Jun  8 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire libva-devel on openSUSE 11.2+
* Sun Jun  6 2010 dominique-vlc.suse@leuenberger.net
- Update to 1.1.0 RC 2: Final to be expected soon.
* Wed May 26 2010 dominique-vlc.suse@leuenberger.net
- Update to version 1.1.0 RC
* Mon Apr 26 2010 root@localhost
- BuildRequire appropriate xulrunner version.
* Sat Apr 24 2010 dominique-vlc.suse@leuenberger.net
- Patched tarball uploaded, as older versions of openSUSE
  seem not able to properly bootstrap it. The patch applied to the
  source tarball is vlc-globalhotkey-with-old-xcb-keysyms.patch.
* Fri Apr 23 2010 dominique-vlc.suse@leuenberger.net
- Add vlc-libpng14.patch, taken from git master, commit ffa6a2f.
* Thu Apr 22 2010 dominique-vlc.suse@leuenberger.net
- Update to version 1.0.6:
  + Access:
  * Fix crash on FTP URI with no file path
  + Decoders/Packetizers:
  * Fix overflows in A/52, DTS, MPEG Audio and subtitles support
  + Demuxers:
  * Update LUA script for Youtube pages
  * Fix crashes in AVI, ASF and Matroska files
  * Fix crashes on malformatted ZIP archives
  * Fix crashes and leaks in the FFmpeg/avformat plugin
  * Fix crash on invalid XSPF playlist
  + X11 port:
  * Partial Xlib threading fixes
  + Interfaces:
  * Fix crash (use after free) in Qt4 bookmarks
  * Fix a few crashes in Qt4 playlist
  + Removed modules:
    RTMP input and output are removed due to security problems.
    Please update to VLC 1.1.0 which provides an FFmpeg-based RTMP
    input if needed.
  + Updated translations.
- Changes from version 1.0.5:
  + Decoders:
  * SubRip extra styles improvements
  * Fix potential crashes in SSA and svg decoders
  + Mac OS X Interface:
  * Improved support for the 2009 Apple Remote
  + Windows port:
  * Use of gcc 4.4.2 to compile instead of gcc 4.2. This might
    slightly increase performance and fix x264 issues
* Thu Dec 10 2009 dominique-vlc.suse@leuenberger.net
- Update to version 1.0.4:
  + Audio outputs:
  * Fix deadlocks in the audio output core
  * Make PulseAudio the default output if available
  + Video outputs:
  * Fix fullscreen mode with KDE 4.3.3 and other window managers
  * Fix incompatibility with cairo-dock and compositing
  + Input:
  * Fix DVB scanning regression from VLC 1.0.3
  * Support for XZ-compressed byte stream (LZMA algorithm)
  + Playlist:
  * Support for .m3u8 playlist files (UTF-8 M3U)
  + Unix:
  * Support for xcb-keysyms version 0.3.4 or higher
  * Fix globalhotkeys on FreeBSD
  + Qt4 interface:
  * Fix opening V4L version 1 devices
  * Fix default destination ports in the streaming wizard
* Fri Oct 30 2009 dominique-vlc.suse@leuenberger.net
- Update to version 1.0.3
  + Video outputs:
  - Fix video quality when resizing the video on Windows Vista
    and 7, due to regressions in most popular drivers
  - New deinterlacers modules based on yadif and yadif(x2)
    algorithms
  + Decoders:
  - Windows version supports now natively the WMA Professional
    codec, as it didn't work in the packaged version of 1.0.2
  - Fix downmixing of particual 4.0 AC-3 audio tracks
  + Encoders:
  - x264 has profile-limitter, like:
    [#]transcode{vcodec=h264,venc=x264{profile=baseline,level=12}..}
  + Input:
  - Update for appletrailers lua script
  - Fixes on the RAR stream filter
  - Fix for E-AC3 in ATSC/TS streams
  - Various fixes for v4l and v4l2
  - Fix a crash in mjpeg demuxer
  + Service discovery:
  - New udev module for Linux
  + Qt4 interface:
  - Fixes on the playlist and the stream output panels
  + Updated translations.
* Tue Sep 29 2009 dominique-vlc.suse@leuenberger.net
- Add 540_all_x264.patch to build with x264 >= 0.76. Patch copied
  from gentoo portage.
* Mon Sep 21 2009 dominique-vlc.suse@leuenberger.net
- Update to version 1.0.2
  + Decoders:
  - Native support for WMA Professional, without the use of the
    Win32 dlls
  - Fix issues in subtitles, especially SSA ones
  - Various fixes on theora and ogg
  + Demuxers:
  - Various fixes for EPG support in MPEG-TS demuxer
  - Fixes for potential stack overflow in .avi, .mp4 and .asf
    demuxers
  + Access:
  - Fixes for v4l2 devices
  - Fixes for dvb-c channels-scanning
  + Qt Interface:
  - Fix some playlist sorting issues
  + Encoders:
  - MPEG2 transrate stream output removed
  - x264 default-values closer to x264.exe defaults.
  - x264 rc-behaviour fixes:
    . if user defines qp-value, CQP-mode is used
    . otherwise if user defines vb=0, CRF-mode is used
    . otherwise ABR-mode is used
  - x264 set vbv-bufsize/vbv-maxsize better if user hasn't
    defined these:
    . ABR mode set vbv-max-bitrate=bitrate
    . vbv-bufsize is bitrate * seconds between keyframes
    (keyint/fps)
  + Playlist:
  - Lua scripts for Mpora and Vimeo playback
  + Updated translations.
* Mon Aug 17 2009 dominique-vlc.suse@leuenberger.net
- Add vlc-1.0.1-libass4.patch to support newer libass. Patch
  taken from upstream commit 019359b5a5.
* Mon Jul 27 2009 dominique-vlc.suse@leuenberger.net
- Update to version 1.0.1
  + Demuxers:
  * Fix wmv/asf issues that caused audio to drop
  * Various fixes for ac3, mp3, dts and stability for wav format
  * Fix seek in RTSP in conformity to RFC 2326
  * Fix Dailymotion access script
  * Fix crashes in xspf files handler
  * Fix seeking and timing issues in some flv files on Windows
    version
  + Access:
  * Add extra caching for files on network shares
  * Prevent integer underflow in Real pseudo-RTSP module,
    discovered by tixxDZ, DZCORE Labs, Algeria
  + Decoders:
  * Fix seeking in mpeg2 video files
  * Improve SSA subtitles rendering
  * Update most codecs for the Windows and Mac version
  + Muxers:
  * Fix sound recording of .flv files with mp3 audio
  + Qt Interface:
  * Possibility to change the opacity level of the Fullscreen
    controller
  * Fix various crashes and VIDEO_TS folders opening
  + Mac OS X Interface:
  * Added options to disable support for Apple Remote and Media
    Keys
  * Fixed options for Volume, Last.fm password and Subtitle
    Encoding
  * Fixed redraw issues when autosizing the video window
  * Preferences panel now includes help through tool-tips
  * More reliable Information and Messages panels
  * Fix various crashes
  + Windows port:
  * The ZVBI module is now available for Windows, for complete
    teletext support
  + Update translations.
* Tue Jul  7 2009 dominique-vlc.suse@leuenberger.net
- Update to 1.0.0
  * See http://git.videolan.org/?p=vlc.git;a=blob;f=NEWS;h=777764
* Thu Jun 18 2009 dominique-vlc.suse@leuenberger.net
- Update to 1.0.0-rc4
  Notable fixes:
  - Mac OS crashes
  - Qt Fullscreen controllers
  - libass, playlist and skins crashes
  - dv update to new API
  - TrueHD in M2TS
- dropped vlc-xulrunner191 patch; it was merged upstream
* Sat May 30 2009 dominique-vlc.suse@leuenberger.net
- Add vlc-xulrunner191 patch (conditional. Works only with xul 191)
